// ---------------------------------------------------------------------------------------------------------------------
// Null store implementation.
// ---------------------------------------------------------------------------------------------------------------------

import { ICacheStore } from './iCacheStore.js';

// ---------------------------------------------------------------------------------------------------------------------

export class NullStore implements ICacheStore
{
    async get(_key : string) : Promise<unknown>
    {
        return null;
    }

    async set(_key : string, _value : unknown) : Promise<unknown>
    {
        return null;
    }
}

// ---------------------------------------------------------------------------------------------------------------------
